/* Terraform - (C) 1997-1999 Robert Gasch (Robert_Gasch@peoplesoft.com)
 *  - www.peoplesoft.com/peoplepages/g/robert_gasch/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef _TF_DIALOG_GAUSSIAN_HILL_H
#define _TF_DIALOG_GAUSSIAN_HILL_H


#include "TFPreviewDialog.h"				// include gtk, gtk--



/*
 *  TFDialogGaussianHill: display the roughen dialog for terraformer
 */
class TFDialogGaussianHill : public TFPreviewDialog  
	{
	public: 
					TFDialogGaussianHill (HeightField *HF, HeightFieldDraw *HFD);
					~TFDialogGaussianHill (); 
		void		buildDialogWindow ();
		void 		buttonCallbackApply ();

	private:
		void		insertOptions ();
		void		updatePreviewCallback ();
		int			daButtonPressedCallback (GdkEventButton *event);

		Gtk_VBox		d_vBoxList;
		Gtk_HBox		d_hBoxCX, d_hBoxCY, 
						d_hBoxRadius, d_hBoxScaleFactor, 
						d_hBoxRadFac, d_hBoxSmoothFactor,
						d_hBoxDeltaScale;
		Gtk_Frame		d_optionsFrame;
		Gtk_HSeparator	d_hSep;
		Gtk_Adjustment	*d_adjCX, *d_adjCY,
						*d_adjRadius, *d_adjScaleFactor, 
						*d_adjRadFac, *d_adjSmoothFactor, 
						*d_adjDeltaScale;
		Gtk_HScale		*d_hsCX, *d_hsCY, 
						*d_hsRadius, *d_hsScaleFactor, 
						*d_hsRadFac, *d_hsSmoothFactor,
						*d_hsDeltaScale;
		Gtk_Label		*d_lblCX, *d_lblCY,
						*d_lblRadius, *d_lblScaleFactor, 
						*d_lblRadFac, *d_lblSmoothFactor, 
						*d_lblDeltaScale;
	};


#endif // _TF_DIALOG_GAUSSIAN_HILL_H
