/* Terraform - (C) 1997-1999 Robert Gasch (Robert_Gasch@peoplesoft.com)
 *  - www.peoplesoft.com/peoplepages/g/robert_gasch/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef _TF_DIALOG_PRINT_OPTIONS_H
#define _TF_DIALOG_PRINT_OPTIONS_H


#include "GuiDialogYN.h"				// include gtk, gtk--
#include "flexarray.h"


#define MENU_PRINT_PAPER_LETTER	"Letter"
#define MENU_PRINT_PAPER_A3	"A3"
#define MENU_PRINT_PAPER_A4	"A4"
#define MENU_PRINT_PAPER_A5	"A5"
#define MENU_PRINT_PAPER_CUSTOM	"Custom"

#define MENU_PRINT_LANDSCAPE	"Landscape"
#define MENU_PRINT_PORTRAIT	"Portrait"

#define MENU_PRINT_COLOR_MONO	"Monochrome"
#define MENU_PRINT_COLOR_GRAY	"Grayscape"
#define MENU_PRINT_COLOR_COLOR	"Color"



/*
 *  TFDialogPrintOptions: display the print dialog
 */
class TFDialogPrintOptions : public GuiDialogYN
	{
	public: 
				TFDialogPrintOptions ();
				~TFDialogPrintOptions (); 
		void		buildDialogWindow ();
		void 		buttonCallbackYes ();

	protected:
		void		cmbPaperSizeCallback ();
		void		insertPaperSize ();
		void		insertOrientation ();
		void		insertColor ();
		void		insertMargins ();
		void		insertScaling ();

		Gtk_HBox		d_hb1, d_hb2, d_hb3, d_hb4, d_hb5;
		Gtk_VBox		d_vbMain; 
		Gtk_HSeparator		d_hSep;
		Gtk_CList		*d_cList;
		Gtk_Combo		*d_cmbPaperSize,
					*d_cmbColor;
		Gtk_Entry		d_enPaperSize;
		Gtk_Label		d_lblPaperSize,
					d_lblOrient,
					d_lblColor,
					d_lblDummyColor,
					d_lblMargins,
					d_lblDummyMargins,
					d_lblScaling,
					d_lblDummyScaling;
		GList			*d_glstPaperSize,
					*d_glstColor;
		GSList			*d_gslstOrient;
		Gtk_Packer		*d_packRow1, *d_packRow2, 
					*d_packRow3, *d_packRow4;
		Gtk_RadioButton		*d_btnOrientLandscape, 
					*d_btnOrientPortrait;
		Gtk_CheckButton		d_cbMargins,
					d_cbScaling;
		Gtk_Table		*d_tblMargins;
	};


#endif // _TF_DIALOG_PRINT_OPTIONS_H
